# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/modifier-select-ui-handler.ts:16

#####
Index

### Constructors

constructor

### Properties

active
awaitingActionInput
checkButtonContainer
cursor
cursorObj
lockRarityButtonContainer
lockRarityButtonText
mode
modifierContainer
moveInfoOverlay
moveInfoOverlayActive
onActionInput
options
player
rerollButtonContainer
rerollCost
rerollCostText
rowCursor
scene
shopOptionsRows
transferButtonContainer
tutorialActive

### Methods

clear
eraseCursor
getCursor
getRowItems
getTextColor
getUi
processInput
processTutorialInput
setCursor
setRerollCost
setRowCursor
setup
show
updateCostText
updateLockRaritiesText
updateRerollCostText

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/modifier-select-ui-handler.ts:36

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` awaitingActionInput

awaitingActionInput: boolean

Inherited from default.awaitingActionInput

- Defined in src/ui/awaitable-ui-handler.ts:7

### `Private` checkButtonContainer

checkButtonContainer: Container

- Defined in src/ui/modifier-select-ui-handler.ts:21

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` cursorObj

cursorObj: Image

- Defined in src/ui/modifier-select-ui-handler.ts:34

### `Private` lockRarityButtonContainer

lockRarityButtonContainer: Container

- Defined in src/ui/modifier-select-ui-handler.ts:19

### `Private` lockRarityButtonText

lockRarityButtonText: Text

- Defined in src/ui/modifier-select-ui-handler.ts:23

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Private` modifierContainer

modifierContainer: Container

- Defined in src/ui/modifier-select-ui-handler.ts:17

### `Private` moveInfoOverlay

moveInfoOverlay: default

- Defined in src/ui/modifier-select-ui-handler.ts:24

### `Private` moveInfoOverlayActive

moveInfoOverlayActive: boolean = false

- Defined in src/ui/modifier-select-ui-handler.ts:25

### `Protected` onActionInput

onActionInput: Function

Inherited from default.onActionInput

- Defined in src/ui/awaitable-ui-handler.ts:8

### options

options: ModifierOption[]

- Defined in src/ui/modifier-select-ui-handler.ts:31

### `Private` player

player: boolean

- Defined in src/ui/modifier-select-ui-handler.ts:28

### `Private` rerollButtonContainer

rerollButtonContainer: Container

- Defined in src/ui/modifier-select-ui-handler.ts:18

### `Private` rerollCost

rerollCost: number

- Defined in src/ui/modifier-select-ui-handler.ts:29

### `Private` rerollCostText

rerollCostText: Text

- Defined in src/ui/modifier-select-ui-handler.ts:22

### `Private` rowCursor

rowCursor: number = 0

- Defined in src/ui/modifier-select-ui-handler.ts:27

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### shopOptionsRows

shopOptionsRows: ModifierOption[][]

- Defined in src/ui/modifier-select-ui-handler.ts:32

### `Private` transferButtonContainer

transferButtonContainer: Container

- Defined in src/ui/modifier-select-ui-handler.ts:20

### tutorialActive

tutorialActive: boolean = false

Inherited from default.tutorialActive

- Defined in src/ui/awaitable-ui-handler.ts:9

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/modifier-select-ui-handler.ts:465

### eraseCursor

- eraseCursor(): void

- #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:509

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### `Private` getRowItems

- getRowItems(rowCursor): number

- #### Parameters

  - rowCursor: number

  #### Returns number

  - Defined in src/ui/modifier-select-ui-handler.ts:425

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/modifier-select-ui-handler.ts:246

### processTutorialInput

- processTutorialInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processTutorialInput

  - Defined in src/ui/awaitable-ui-handler.ts:15

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/modifier-select-ui-handler.ts:357

### setRerollCost

- setRerollCost(rerollCost): void

- #### Parameters

  - rerollCost: number

  #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:436

### setRowCursor

- setRowCursor(rowCursor): boolean

- #### Parameters

  - rowCursor: number

  #### Returns boolean

  - Defined in src/ui/modifier-select-ui-handler.ts:403

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/modifier-select-ui-handler.ts:43

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/modifier-select-ui-handler.ts:109

### updateCostText

- updateCostText(): void

- #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:440

### updateLockRaritiesText

- updateLockRaritiesText(): void

- #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:459

### updateRerollCostText

- updateRerollCostText(): void

- #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:449